Bug 37519 - Very slow rendering of a some PDF slides
Summary: Very slow rendering of a some PDF slides
Status: RESOLVED FIXED
Alias: None
Product: poppler
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-23 13:32 UTC by Jean-François Fortin Tam
Modified: 2012-05-10 13:26 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
sample (414.70 KB, application/pdf)
2011-05-23 13:32 UTC, Jean-François Fortin Tam
Details
source file used to create the PDF (288.50 KB, application/vnd.oasis.opendocument.presentation)
2011-05-23 13:33 UTC, Jean-François Fortin Tam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2011-05-23 13:32:49 UTC
Created attachment 47072 [details]
sample

Attached is a file that is excruciatingly slow to render in Evince 3.0.

The first slide takes 18 seconds to load on a Core2Quad Q9300.
Comment 1 Jean-François Fortin Tam 2011-05-23 13:33:54 UTC
Created attachment 47073 [details]
source file used to create the PDF
Comment 2 Jean-François Fortin Tam 2011-05-23 13:34:48 UTC
This is on poppler 0.16.5.
Comment 3 Jose Aliste 2011-05-23 14:05:41 UTC
I think this is not on the cairo backend. the poppler-render test in the cpp  frontend (which AFAIK uses Splash backend) also takes around 20 sec on my machine to render one page.
Comment 4 Albert Astals Cid 2011-05-23 14:53:32 UTC
Jose is right, not a Cairo problem, seems that whoever created the document decided to do it wrong and calls a billion times image with a given xobject and we parse it all the time.

Introducing a PopplerCache in GfxResources::lookupXObject should fix the problem (if that object can be cached but i'd say yes), i don't have time to do it though.
Comment 5 Thomas Freitag 2012-05-02 00:37:01 UTC
Do You think this is still a problem with the actual version? In my opinion it seems reasonable fast now...
Comment 6 Albert Astals Cid 2012-05-10 06:43:13 UTC
Jean-François, i'm closing the bug as fixed, please reopen if you still fill the rendering should be faster.
Comment 7 Jean-François Fortin Tam 2012-05-10 13:18:50 UTC
What version is this supposed to be fixed in? FWIW, it still occurs in Evince 3.4 with Poppler 0.18.4.
Comment 8 Albert Astals Cid 2012-05-10 13:26:05 UTC
0.20


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.